# Milestones

## Hello screen again

  - [~] Extract OpenGL
    - Rename Passes/Programs as Pipelines
  - [~] Minimal Vulkan
  - [ ] ImGui
  - [ ] Config (yaml)

## Hello other

  - [ ] Chat
  - [~] Authentication
  - [x] Compression
  - [ ] Encryption
  - [x] Embedded
  - [x] Standalone

## Hello world

  - [~] Map stream
  - [ ] Contouring service
  - [~] Edit
    - Local prediction
  - [~] Occlusion Culling
    - [ ] Iterator ray
    - [ ] Cast from chunk center

## Hello darkness

  - [ ] ECS
  - [ ] Area
    - [ ] Rotation
    - [~] CubeSphere
      - [ ] Area corrected CubeSphere
      - [ ] Corrected Normals
      - [ ] Surface curvature
      - [ ] Curvature avare frustum
    - [ ] Healpix
    - [ ] Surface features
    - [ ] Biomes
      - https://imgur.com/kM8b5Zq
      - https://imgur.com/a/bh2iy
      - https://speciesdevblog.files.wordpress.com/2012/11/biomemap.png
  - [ ] Galaxy
  - [ ] Dynamic SIMD libs
  - [ ] FastNoiseSIMD / HastyNoise double precision
  - [ ] Octree
  - [ ] Cross plateforme encoding
  - [ ] HDR
    - https://www.youtube.com/watch?v=iikdcAA7cww
    - Toon shading
    - Eye adaptation
  - [ ] Post processing
    - https://learnopengl.com/Advanced-OpenGL/Anti-Aliasing
    - Bloom
  - [ ] Procedural Skybox
  - [ ] Deferred
  - [ ] Cascaded shadow maps
  - [ ] Ray Tracing
  - [ ] Transparency
  - [ ] https://github.com/Auburn/FastNoise2/releases
