#pragma once

#include "state.hpp"
#include "Window.hpp"
#include "../core/server_handle.hpp"

namespace render {
    class Renderer;
};

/// Client view
class Client {
public:
    Client(config::client::options &options);
    ~Client();

    void run(server_handle *const);

protected:

private:
    config::client::options &options;
    state::state state;
    state::reports reports;

    Window window;
};