#pragma once

#include "Abstract.hpp"

namespace contouring {
    /// Useless contouring
    class Dummy: public Abstract {
    public:
        Dummy(): Abstract() { }
        virtual ~Dummy() { }

        void update(const voxel_pos &, const world::client::area_map &) override {}
        void onUpdate(const area_<chunk_pos> &, const chunk_pos &, const world::ChunkContainer &, geometry::Faces) override {}
        void onNotify(const area_<chunk_pos> &, const chunk_pos &, const world::ChunkContainer &) override {}
        void onGui() override { }
        std::string getOptions() const override { return ""; }
        std::pair<float, float> getFarRange() const override { return std::make_pair(0, 0); }
        size_t getQueueSize() override { return 0; }
        void getModels(draw_call, const std::optional<geometry::Frustum> &, const glm::llvec3 &, int) override {}
        void getModels(draw_call, const glm::ifvec3 &, float, const std::vector<glm::vec3> &, const glm::llvec3 &, int) override {}
    };
}