#pragma once

#include "Abstract.hpp"
#include <map>

namespace contouring {
    static const std::array<std::string, 2> names = {"FlatDualMC", "Dummy"};

    int idxByName(const std::string &name);
    std::shared_ptr<Abstract> load(int idx, const std::map<std::string, std::string> &data);
    void save(int idx, std::shared_ptr<Abstract> &ct, std::map<std::string, std::string> &data);
}