#include "Vertex.hpp"

using namespace buffer;

Vertex::Vertex(GLenum shape, const unsigned long count, const unsigned long size, const void *data): Abstract(shape) {
    setVertices(size, data);
    ElementCount = count;
}

uint Vertex::draw(params) {
    enableAllAttribs();
    glDrawArrays(Shape, 0, ElementCount);
    disableAllAttribs();
    return ElementCount;
}