#pragma once

#include <GL/gl3w.h>

#include "Abstract.hpp"

/// OpenGL VertexBuffer
namespace buffer {
    class Vertex: public Abstract {
    public:
        Vertex(GLenum shape, const unsigned long count, const unsigned long size, const void *data);

        uint draw(params) override;

    private:
        unsigned long ElementCount;
    };
}
