#pragma once

#include "Program.hpp"

namespace pass {
    /// Solid colors pass
    class ColorProgram: public Program {
    public:
        ColorProgram();
        ~ColorProgram();

        buffer::params setup(render::gl::Renderer *, glm::mat4 modelMatrix);

    protected:
        std::string getName() const override;
        void setMVP(const GLfloat *matrix);

    private:
        GLuint MVPMatrixID;
    };
}
