#pragma once

#include "VoxelProgram.hpp"

namespace pass {
    /// Unique voxels pass
    class WorldProgram: public VoxelProgram {
    public:
        WorldProgram(const options &opts);
        ~WorldProgram();

        buffer::params setup(render::gl::Renderer *, glm::mat4 modelMatrix);

    protected:
        void setModel(const GLfloat *matrix);

    private:
        GLuint ModelMatrixID;
    };
}