#include "Universe.hpp"

#include "../contouring/Dummy.hpp"

using namespace world::client;

Universe::Universe(): world::Universe(), contouring(std::make_shared<contouring::Dummy>()) { }
Universe::~Universe() { }

void Universe::setContouring(const std::shared_ptr<contouring::Abstract>& ct) {
    contouring = ct;
}

/*
void ServerUniverse::getEntitiesModels(const std::function<void(const std::vector<glm::mat4>&, buffer::Abstract *const)> &draw, const std::optional<geometry::Frustum> &frustum, const glm::llvec3 &offset, int density) {
    std::vector<glm::mat4> mats;
    entities.iter([&](entity_id, const Entity &entity) {
        entity.instances.iter([&](entity_id, const Entity::Instance &inst) {
            const glm::vec3 fPos = (glm::vec3(inst.pos.raw_as_long() - offset * glm::llvec3(density)) + inst.pos.offset) / glm::vec3(density);
            if (!frustum.has_value() || frustum.value().contains(geometry::Box::fromMin(fPos, entity.size)))
                mats.emplace_back(glm::scale(glm::translate(glm::mat4(1), fPos * (float)density), entity.scale));
        });
        if(!mats.empty()) {
            draw(mats, entity.buffer.get());
            mats.resize(0);
        }
    });
}
*/