#pragma once

#include <robin_hood.h>
#include "../../core/world/position.h"

namespace world {
    class Chunk;
    class ChunkContainer;
    class Area;
}
namespace world::client {
    class EdittableChunk;
    using area_map = robin_hood::unordered_map<area_id, std::shared_ptr<Area>>;
}