#pragma once

#include "../../core/world/EdittableChunk.hpp"

namespace world::client {

    class Chunk final: public EdittableChunk {
    public:
        Chunk(): world::Chunk(), EdittableChunk() { }
    };

    /// Chunk full of air
    static const std::shared_ptr<const Chunk> EMPTY_CHUNK = std::make_shared<Chunk>();

}